=== debian/changelog ===
x2goserver (4.1.0.4-0x2go1.2) UNRELEASED; urgency=medium

  [ Mike Gabriel ]
  * New upstream version (4.1.0.4):
    - Fix version number in VERSION.x2goserver-desktopsharing.
    - x2goserver-x2goagent: Drop x2goagent.keyboard file.
    - x2goversion: Fix situations where ${compfile} contains a
      non-absolute path (e.g. it contains '../'). (Fixes: #1357).
    - Add X2Go KDrive support (wrapper package: x2goserver-x2gokdrive).
    - Add man page for x2gocleansessions.
    - x2goserver/man/man8/x2golistsessions_root.8: Mention --all-servers
      option. (Fixes: #1395).
    - x2goruncommand: Support GNOME-based Ubuntu sessions (via X2Go Kdrive)
      as provided by Ubuntu 18.04 or later.
    - GNOME sessions: Avoid firing up of a polkit-1 authentication dialog
      requesting admin credentials to register a new color map device.
      See GNOME bug:
      https://gitlab.gnome.org/GNOME/gnome-settings-daemon/issues/273
      This change only gets activated for Debian for now and focuses
      on policykit-1 (<= 0.105). (Debian maintainers of policykit-1
      are holding back newer versions for unknown reason).
  * debian/x2goserver.postinst:
    + Drop duplicate sourcing of debconf includes.
    + Add Dutch debconf translation. Thanks to Frans Spiesschaert.
    + Add Russian debconf translation. Thanks to Lev Lamberov.
    + Add Portuguese debconf translation. Thanks to Américo Monteiro.
    + Update German translation.
  * debian/control:
    + Update (LONG_)DESCRIPTION of bin:pkg x2goserver-x2goagent.
  * x2goserver.spec:
    + Update (LONG_)DESCRIPTION of bin:pkg x2goserver-x2goagent.
    + Fix up files section for x2gokdrive (wrong pkg name).

  [ Mihai Moldovan ]
  * New upstream version (4.1.0.4):
    - x2goserver/sbin/x2gocleansessions: add newline before POD block.
    - x2goserver-x2goagent/man/man1/x2goagent.1: add version and date.
    - x2goserver/Makefile: generate man pages from Perl POD.
    - X2Go/Utils.pm: fix missing semicolons.
    - X2Go/Utils.pm: add new is_int subroutine, checking if the provided value
      is an integer.
    - x2goserver/lib: new x2goisint wrapper.
    - x2goserver/lib/x2gois{int,true}: add newlines to (error) output.
    - x2goserver/lib/x2gois{int,true}: add optional warnings.
    - x2goserver/sbin/x2gocleansessions: rework manpage/POD.
    - x2goserver/lib: add new (stub) file x2goupdateoptionsstring to deal with
      options string manipulations. Currently only parsing into an
      intermediate state is supported, the script dumps that state for now.
    - x2goserver/lib/x2goupdateoptionsstring: add function to transform the
      intermediate options string representation back into a string and some
      code that uses this new function.
    - x2goserver/lib/x2go{is{int,true},updateoptionsstring}: use q{} instead
      of empty quotes as per some... coding standard.
    - x2goserver/lib/x2go{is{int,true},updateoptionsstring}: wrap print calls
      with filehandles in curly braces.
    - x2goserver/lib/x2goupdateoptionsstring: fix some "errors" reported by
      Perl::Critic in brutal mode.
    - x2goserver/lib/x2goupdateoptionsstring: add functionality for options
      removal.
    - x2goserver/lib/x2goupdateoptionsstring: update documentation to include
      the notion of the +key[=value] syntax, which makes sense to use if key
      starts with a dash and would be ambiguously interpreted as a removal.
    - x2goserver/lib/x2goupdateoptionsstring: refactor remove_option
      subprocedure into a more general transform_intermediate one and add code
      for the modification/addition case.
    - x2goserver/lib/x2goupdateoptionsstring: ignore some very noisy
      Perl::Critic warnings that we're going to ignore anyway.
    - x2goserver/lib/x2goupdateoptionsstring: fix interpolated string warning.
    - x2goserver/lib/x2goupdateoptionsstring: add helper function for
      transform string interpretation.
    - x2goserver/lib/x2goupdateoptionsstring: write wrapper that handles
      program options, creates intermediate, passes through transform chains,
      reconverts to a string and prints it.
    - x2goserver/lib/x2goupdateoptionsstring: add debug option and some
      debugging output.
    - x2goserver/lib/x2goupdateoptionsstring: remove dead code.
    - x2goserver/lib/x2goupdateoptionsstring: update documentation and clarify
      risks of option parsing. It's better to always use -- to terminate
      program options parsing when no longer needed.
    - x2goserver/lib/x2goupdateoptionsstring: don't debug-output the
      intermediate representation if we know that parsing failed.
    - x2goserver/lib/x2goupdateoptionsstring: fix debug string and add another
      one dumping the raw options string.
    - x2goserver/lib/x2goupdateoptionsstring: fix parsing of transformation
      strings by replacing the switch statement with if statements.
      "Fallthrough" doesn't mean the same thing as in C, apparently. Buyer
      beware.
    - x2goserver/lib/x2goupdateoptionsstring: handle options in a more robust
      way. First, we scan for unknown options and error out. If we find a
      separating "--" pseudo-option, we keep that in mind and will not process
      further options next time. Do this for every run of the transformation
      loop.
    - x2goserver/lib/x2goupdateoptionsstring: fix another Perl::Critic nit.
    - x2goserver/lib/x2goupdateoptionsstring: move into x2goserver/bin, since
      it's really a standalone program and also useful for non-X2Go-internal
      usage.
    - x2goserver/Makefile: add x2goupdateoptionsstring POD-to-man-page
      handling.
    - x2goserver/Makefile: don't quote POD_SCRIPTS, because of... make.
    - x2goserver/Makefile: install man1 files and dirs, too.
    - x2goserver/bin/x2goruncommand: fix typo in IceWM branch.
    - X2Go_in_progress_do_not_use/Server/DB/MySQL.pm: backport kdrive change.
    - x2goserver/bin/x2gostartagent: fix quoting.

