=== debian/control ===
Source: x2goserver
Section: x11
Priority: optional
Maintainer: X2Go Developers <x2go-dev@lists.x2go.org>
Uploaders:
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,
 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>,
 Reinhard Tartler <siretart@tauware.de>,
 Mihai Moldovan <ionic@ionic.de>,
Build-Depends:
 debhelper (>= 9~),
 dpkg-dev (>= 1.16.1.1),
 dh-systemd | hello,
 lsb-release,
 man2html-base,
# Needed for /etc/X11/Xsession.d
 x11-common,
Standards-Version: 4.2.1
Homepage: https://code.x2go.org/releases/source/x2goserver
Vcs-Git: git://code.x2go.org/x2goserver.git
Vcs-Browser: https://code.x2go.org/gitweb?p=x2goserver.git;a=summary

Package: x2goserver
Architecture: any
Depends:
 bc,
 libfile-basedir-perl,
 libfile-which-perl,
 libswitch-perl,
 libtry-tiny-perl,
 libx2go-server-perl (<< ${source:Version}.1~),
 libx2go-server-perl (>= ${source:Version}),
 lsb-base,
 lsof,
 net-tools,
 openssh-client,
 openssh-server,
 perl,
 psmisc,
 pwgen,
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 x2goserver-x2goagent (<< ${source:Version}.1~),
 x2goserver-x2goagent (>= ${source:Version}),
 x2goserver-x2gokdrive (<< ${source:Version}.1~),
 x2goserver-x2gokdrive (>= ${source:Version}),
 xauth,
 xkb-data,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fontconfig,
 sshfs,
 x11-apps,
 x11-session-utils,
 x11-utils,
 x11-xfs-utils,
 x11-xkb-utils,
 x11-xserver-utils,
 x2goserver-extensions (<< ${source:Version}.1~),
 x2goserver-extensions (>= ${source:Version}),
 x2goserver-fmbindings (<< ${source:Version}.1~),
 x2goserver-fmbindings (>= ${source:Version}),
 x2goserver-printing (<< ${source:Version}.1~),
 x2goserver-printing (>= ${source:Version}),
 x2goserver-xsession (<< ${source:Version}.1~),
 x2goserver-xsession (>= ${source:Version}),
 xfonts-base,
 xinit,
Suggests:
 pulseaudio-utils,
 rdesktop,
Breaks:
 x2godesktopsharing (<< 3.1.1.2-0~),
Conflicts:
 x2goserver-compat,
 x2goserver-home,
 x2goserver-one,
 x2goserver-pyhoca,
Replaces:
 x2goserver-compat,
 x2goserver-home,
 x2goserver-one,
 x2goserver-pyhoca,
Description: X2Go server
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains the main daemon and tools for X2Go server-side
 session administrations.

Package: libx2go-log-perl
Architecture: all
Section: perl
Depends:
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Description: Perl X2Go::Log package
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Log Perl package.

Package: libx2go-server-db-perl
Architecture: any
Section: perl
Depends:
 libconfig-simple-perl,
 libdbd-pg-perl [!armhf],
 libdbd-sqlite3-perl,
# libdbd-mysql-perl,
 libx2go-log-perl (<< ${source:Version}.1~),
 libx2go-log-perl (>= ${source:Version}),
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Breaks:
 x2goserver (<< 4.1.0.0-0~),
Replaces:
 x2goserver (<< 4.1.0.0-0~),
Description: Perl X2Go::Server:DB package
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Server::DB Perl package.

Package: libx2go-server-perl
Architecture: all
Section: perl
Depends:
 libcapture-tiny-perl,
 libconfig-simple-perl,
 libx2go-log-perl (<< ${source:Version}.1~),
 libx2go-log-perl (>= ${source:Version}),
 libx2go-server-db-perl (<< ${source:Version}.1~),
 libx2go-server-db-perl (>= ${source:Version}),
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Description: Perl X2Go::Server package
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Server Perl package.

Package: x2goserver-common
Architecture: any
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 x2goserver (<< 4.1.0.0-0~),
Replaces:
 x2goserver (<< 4.1.0.0-0~),
Description: X2Go Server (common files)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains common files needed by the X2Go Server
 and the X2Go::Server Perl API.

Package: x2goserver-extensions
Architecture: all
Depends:
 x11-xkb-utils,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 ${misc:Depends},
Description: X2Go Server (extension support)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 The X2Go server extension namespace offers contributors to add script
 functionality to X2Go that is not needed/ignored by the legacy X2Go
 client (x2goclient).

Package: x2goserver-fmbindings
Architecture: all
Depends:
 desktop-file-utils,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 xdg-utils,
 ${misc:Depends},
Description: X2Go Server (file manager bindings)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 x2goserver-fmbindings contains generic MIME type information for X2Go's
 local folder sharing. It can be used with all freedesktop.org compliant
 desktop shells.
 .
 However, this package will be superseded by other, more specific destkop
 binding components, if installed and being used with the corresponding
 desktop shell:
    - under LXDE by x2golxdebindings
    - under GNOMEv2 by x2gognomebindings
    - under MATE by x2gomatebindings
    - under KDE4/5 by plasma-widget-x2go

Package: x2goserver-printing
Architecture: all
Depends:
 adduser,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 ${misc:Depends},
Conflicts:
 x2goprint,
Replaces:
 x2goprint,
Suggests:
 cups-x2go,
Description: X2Go server (printing support)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 The X2Go Server printing package provides client-side printing support
 for X2Go.
 .
 This package has to be installed on X2Go Servers that shall be able to
 pass X2Go print jobs on to the X2Go client.
 .
 This package co-operates with the cups-x2go CUPS backend. If CUPS server
 and X2Go Server are hosted on different machines, then make sure you
 install this package on the X2Go Server/s (and the cups-x2go package on
 the CUPS server).

Package: x2goserver-x2goagent
Architecture: any
Pre-Depends:
 dpkg (>= 1.15.7.2),
Depends:
 nxagent (>= 2:3.5.99.17~),
 ${misc:Depends},
Suggests:
 x2goserver,
Breaks:
 x2goagent (<< 2:3.5.99.2~),
 x2goserver (<< 4.0.1.99~),
Replaces:
 x2goagent (<< 2:3.5.99.2~),
 x2goserver (<< 4.0.1.99~),
Description: X2Go Server's X2Go Agent Xserver
 X2Go is a software suite that uses NX and/or KDrive technology for
 remote desktop computing.
 .
 NX technology implements a very efficient compression of the X11
 protocol. This increases performance when using X applications over a
 network, especially a slow one.
 .
 X2Go agent functionality has been completely incorporated into NX
 agent's code base. If the nxagent binary is executed under the name of
 `x2goagent', the X2Go functionalities get activated.
 .
 This package is a wrapper that activates X2Go branding in nxagent.
 Please refer to the nxagent package's description for more information
 on NX.

Package: x2goserver-x2gokdrive
Architecture: any
Pre-Depends:
 dpkg (>= 1.15.7.2),
Depends:
 xserver-x2gokdrive,
 ${misc:Depends},
Suggests:
 x2goserver,
Description: X2Go Server's X2Go KDrive Xserver
 X2Go is a software suite that uses NX and/or KDrive technology for
 remote desktop computing.
 .
 X2Go KDrive technology implements a remote X11 Xserver backend for
 modern desktop environments, namely desktops derived from the GNOME
 desktop shell.
 .
 X2Go KDrive does not require an XServer on the client-side, only the
 X11-independent x2gokdriveclient. esktop session data transfers from
 server to client use differential image compression and image data gets
 cached client-side.

Package: x2goserver-xsession
Architecture: all
Pre-Depends:
 dpkg (>= 1.14.17),
Depends:
 dbus,
 x11-common,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 ${dist:Depends},
 ${misc:Depends},
Description: X2Go Server (Xsession runner)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This X2Go Server add-on enables Xsession script handling when starting
 desktop sessions with X2Go.
 .
 Amongst others the parsing of Xsession scripts will enable
 desktop-profiles, ssh-agent startups, gpgagent startups and many more
 Xsession related features on X2Go session login automagically.

Package: x2goserver-desktopsharing
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 x2goserver (>= 4.0.0.0-0~),
 x2godesktopsharing (>= 3.2.0.0~),
Breaks: x2godesktopsharing (<< 3.2.0.0~),
Replaces: x2godesktopsharing (<< 3.2.0.0~),
Description: Share X11 desktops with other users via X2Go
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 X2Go Desktop Sharing is an X2Go add-on feature that allows a user to
 grant other X2Go users access to the current session (shadow session
 support). The user's current session may be an X2Go session itself or
 simply a local X11 session.
 .
 This package contains all the integration and configuration logics
 of a system-wide manageable desktop sharing setup.
